import dotenv from 'dotenv';
import mongoose from 'mongoose';

dotenv.config();

// const GoogleProviderSchema = new mongoose.Schema({
//   id: {
//     type: String,
//     required: true,
//     //unique: true,
//   },
//   profileUrl: {
//     type: String,
//   },
// });

// const UserSchema = new mongoose.Schema({
//   nickname: {
//     type: String,
//   },
//   email: {
//     type: String,
//     //unique: true,
//   },
//   google: {
//     type: GoogleProviderSchema,
//   }
// });


// const UserModel = mongoose.model("User", UserSchema);

// const CommentSchema = new mongoose.Schema({
//   content: {
//     type: String,
//     required: true,
//   },
//   author: {
//     type: UserSchema,
//     required: true,
//   },
//   createdAt: {
//     type: Date,
//     default: Date.now,
//   },
// });
// CommentSchema.index( { commentId: 1 } , { sparse: true } )

// const ArticleSchema = new mongoose.Schema({
//   title: {
//     type: String,
//     required: true,
//   },
//   content: {
//     type: String,
//     required: true,
//   },
//   imageUrls: {
//     type: [String],
//   },
//   author: {
//     type: UserSchema,
//     required: true,
//   },
//   comments: {
//     type: [CommentSchema],
// 	unique: false,
//   },
//   likes: {
//     type: [UserSchema],
//   },
//   createdAt: {
//     type: Date,
//     default: Date.now,
//   },
// });

// ArticleSchema.index({articleId:1}, { sparse: true })
// const ArticleModel = mongoose.model("Article", ArticleSchema);

const connectDB = async () => {
  const url = process.env.MONGODB_URI;
  try {
    await mongoose.connect(url, { useNewUrlParser: true, useUnifiedTopology: true });
    console.log('Database connected');
  } catch (error) {
    console.error('Database connection failed',error);
  }
};

export default connectDB;